package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 取货点位绑定分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WareHouseTakePointBindingPageReqVO extends PageParam {

    @Schema(description = "类型, 0:设备", example = "2")
    private Integer bindingType;

    @Schema(description = "设备id", example = "3876")
    private Long bindingId;

    @Schema(description = "取货点位表id", example = "20371")
    private Long takePointId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}