package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 取货点位绑定 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WareHouseTakePointBindingRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16028")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "类型, 0:设备", example = "2")
    @ExcelProperty("类型, 0:设备")
    private Integer bindingType;

    @Schema(description = "设备id", example = "3876")
    @ExcelProperty("设备id")
    private Long bindingId;

    @Schema(description = "取货点位表id", example = "20371")
    @ExcelProperty("取货点位表id")
    private Long takePointId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}