package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 取货点位分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WareHouseTakePointPageReqVO extends PageParam {

    @Schema(description = "点位类型名称", example = "李四")
    private String pointName;

    @Schema(description = "点位类型, 0:翻转机设备, 1:普通取放货点位'", example = "2")
    private Integer pointType;

    @Schema(description = "总高度")
    private BigDecimal totalHeight;

    @Schema(description = "托盘高度")
    private BigDecimal trayHeight;

    @Schema(description = "点位状态, 0:空闲, 1:有货", example = "2")
    private Integer pointStatus;

    @Schema(description = "地图id", example = "25285")
    private Long positionMapId;

    @Schema(description = "地图字表节点id", example = "527")
    private Long positionMapItemId;

    @Schema(description = "实际坐标x轴")
    private String actualLocationX;

    @Schema(description = "实际坐标y轴")
    private String actualLocationY;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "层数")
    private Integer locationStorey;

    @Schema(description = "排序的位置,越大越优先堆放")
    private Long locationNumber;

    @Schema(description = "巷道id(不关联其他表), 检测区的唯一就可以")
    private Long laneId;

    @Schema(description = "物料信息")
    private String skuInfo;

    @Schema(description = "物料数量")
    private Long skuNumber;

}