package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 取货点位 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WareHouseTakePointRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "11573")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "点位类型名称", example = "李四")
    @ExcelProperty("点位类型名称")
    private String pointName;

    @Schema(description = "点位类型, 0:翻转机设备, 1:普通取放货点位'", example = "2")
    @ExcelProperty("点位类型, 0:翻转机设备, 1:普通取放货点位'")
    private Integer pointType;

    @Schema(description = "总高度")
    @ExcelProperty("总高度")
    private BigDecimal totalHeight;

    @Schema(description = "托盘高度")
    @ExcelProperty("托盘高度")
    private BigDecimal trayHeight;

    @Schema(description = "点位状态, 0:空闲, 1:有货", example = "2")
    @ExcelProperty("点位状态, 0:空闲, 1:有货")
    private Integer pointStatus;

    @Schema(description = "地图id", example = "25285")
    @ExcelProperty("地图id")
    private Long positionMapId;

    @Schema(description = "地图字表节点id", example = "527")
    @ExcelProperty("地图字表节点id")
    private Long positionMapItemId;

    @Schema(description = "实际坐标x轴")
    @ExcelProperty("实际坐标x轴")
    private String actualLocationX;

    @Schema(description = "实际坐标y轴")
    @ExcelProperty("实际坐标y轴")
    private String actualLocationY;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "层数")
    @ExcelProperty("层数")
    private Integer locationStorey;

    @Schema(description = "排序的位置,越大越优先堆放")
    @ExcelProperty("排序的位置,越大越优先堆放")
    private Long locationNumber;

    @Schema(description = "巷道id(不关联其他表), 检测区的唯一就可以")
    @ExcelProperty("巷道id(不关联其他表), 检测区的唯一就可以")
    private Long laneId;

    @Schema(description = "物料信息")
    @ExcelProperty("物料信息")
    private String skuInfo;

    @Schema(description = "物料数量")
    @ExcelProperty("物料数量")
    private Long skuNumber;
}