package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 取货点位新增/修改 Request VO")
@Data
public class WareHouseTakePointSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "11573")
    private Long id;

    @Schema(description = "点位类型名称", example = "李四")
    private String pointName;

    @Schema(description = "点位类型, 0:翻转机设备, 1:普通取放货点位'", example = "2")
    private Integer pointType;

    @Schema(description = "总高度")
    private BigDecimal totalHeight;

    @Schema(description = "托盘高度")
    private BigDecimal trayHeight;

    @Schema(description = "点位状态, 0:空闲, 1:有货", example = "2")
    private Integer pointStatus;

    @Schema(description = "地图id", example = "25285")
    private Long positionMapId;

    @Schema(description = "地图字表节点id", example = "527")
    private Long positionMapItemId;

    @Schema(description = "实际坐标x轴")
    private String actualLocationX;

    @Schema(description = "实际坐标y轴")
    private String actualLocationY;

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "11573")
    private List<Long> ids;

    @Schema(description = "层数")
    private Integer locationStorey;

    @Schema(description = "排序的位置,越大越优先堆放")
    private Long locationNumber;

    @Schema(description = "巷道id(不关联其他表), 检测区的唯一就可以")
    private Long laneId;

    @Schema(description = "物料信息")
    private String skuInfo;

    @Schema(description = "物料数量")
    private Long skuNumber;

}