package cn.iocoder.yudao.module.system.service.houselocation;

import java.util.*;
import javax.validation.*;

import cn.iocoder.yudao.module.system.controller.admin.houselocation.vo.WareHouseTakePointBindingPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.houselocation.vo.WareHouseTakePointBindingSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.houselocation.WareHouseTakePointBindingDO;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 取货点位绑定 Service 接口
 *
 * @author 陈宾顺
 */
public interface WareHouseTakePointBindingService extends IService<WareHouseTakePointBindingDO> {

    /**
     * 创建取货点位绑定
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createHouseTakePointBinding(@Valid WareHouseTakePointBindingSaveReqVO createReqVO);

    /**
     * 更新取货点位绑定
     *
     * @param updateReqVO 更新信息
     */
    void updateHouseTakePointBinding(@Valid WareHouseTakePointBindingSaveReqVO updateReqVO);

    /**
     * 删除取货点位绑定
     *
     * @param id 编号
     */
    void deleteHouseTakePointBinding(Long id);

    /**
     * 获得取货点位绑定
     *
     * @param id 编号
     * @return 取货点位绑定
     */
    WareHouseTakePointBindingDO getHouseTakePointBinding(Long id);

    /**
     * 获得取货点位绑定分页
     *
     * @param pageReqVO 分页查询
     * @return 取货点位绑定分页
     */
    PageResult<WareHouseTakePointBindingDO> getHouseTakePointBindingPage(WareHouseTakePointBindingPageReqVO pageReqVO);

    void createHouseTakePointBindings(List<WareHouseTakePointBindingDO> list);

    void deleteByBindingId(Long id);

    List<WareHouseTakePointBindingDO> getByBindingId(Long id);
}
